Bug 1266750 - Unable to view second, third, … page of search results: " Search string must have at least 3 characters "
Unable to view second, third, … page of search results: " Search string must ...
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: frontend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Valentin Gologuzov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 07:58 EDT by Christian Stadelmann
Modified: 2015-12-01 01:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 05:45:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-09-27 07:58:41 EDT
Description of problem:
I cannot access pages 2, 3, … of a search result.

Version-Release number of selected component (if applicable):
the live instance on https://copr.fedoraproject.org/ as of 2015-09-27, Build 1.69-1.fc21 according to the footer

How reproducible:
on every search. In both HTTP and HTTPS version. With different browsers (firefox, epiphany) and browser profiles.

Steps to Reproduce:
1. https://copr.fedoraproject.org/coprs/
2. search for any string
3. on the results page scroll down and click on any link for page 2, 3, …

Actual results:
Link is always https://copr.fedoraproject.org/coprs/fulltext/2/ (or without HTTP, page number varies) and does not include the search string. Your browser gets a HTTP 302 Found status code redirecting to https://copr.fedoraproject.org/coprs/ . There you see no search results but the landing page with an error message stating " Search string must have at least 3 characters "

Expected results:
I want to see page 2, 3, … of the requested search
Comment 1 Valentin Gologuzov 2015-09-30 05:19:09 EDT
Big is confirmed, work in progress.
Comment 2 Valentin Gologuzov 2015-09-30 06:10:31 EDT
Fixed in commit cf27a994b3885aac31cd2f2f816a0e541bc66fb8.
Comment 3 Miroslav Suchý 2015-10-15 05:45:55 EDT
Version with this fix has been just deployed to production.

Note You need to log in before you can comment on or make changes to this bug.